[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# HandleConversionException

Convert an exception to a variant exception

## Declaration

Source position: variants.pp line 314

`procedure HandleConversionException(`
`const ASourceType: tvartype;`
`const ADestType: tvartype`
`);`

## Arguments

`ASourceType` |  | Source variant type
`ADestType` |  | Destination variant type

## Description

HandleConversionException converts a RTL exception (EConvertError or ERangeError or EOverFlow) to an appropriate variant error (varCastError and varOverFlowError). Other exceptions are re-raised. If a source and destination type ASourceType and aDestType are specified they are included in the error message.

## See also

EConvertError
ERangeError
varCastError |  | Raise a variant type cast error EVariantTypeCastError
varOverFlowError |  | Raise an EVariantOverflowError error.
EOverFlow